Subject: Re: 23.3; vc-git-grep doesn't link to files when git grep uses colour

From: Wilfred Hughes <[email-masked]>
Date: Tue, 6 Sep 2011 15:06:45 +0100

Oh, sorry. Yes, it can be removed and works perfectly. Many thanks.

On 6 September 2011 14:40, Juri Linkov <[email-masked]> wrote:

> > Yes, using git grep without --no-color gets exactly the colour codes you
> > describe. But as of revision 105630 (the commit mentioned in message 13),
> > vc-git-grep uses the command "git grep --no-color -n -e <R> -- <F>" which
> > suppresses search term highlighting. Have I missed something?
>
> You earlier suggested to add "--no-color" to `grep-expand-template'.
> Do you think it now can be removed because now search terms are
> highlighted correctly and you have no more problems with
> hitting RET on them?
>